# norootforbuild

Name:           correct-live-install-livecd-educacio
Version:        1
Release:        4.1
License:        GPL
Group:          System/Fhs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Summary:        Creacio dels fitxers correct-live-install i correct_live_for_reboot per LiveCD Educació
Vendor:		linkat
Distribution:   education

%description
Paquet que genera els fitxers correct_live_install i correct_live_for_reboot, indica el processos posteriors a l'instal.lacio del LiveCD-Educació en el disc dur.

%prep
%setup -q -T -c

%build
cat >correct_live_install <<EOF
#!/bin/bash

# Desactivar autologin
mv /etc/sysconfig/displaymanager /etc/sysconfig/displaymanager.bak
sed -e 's/DISPLAYMANAGER_AUTOLOGIN=\"tuxlivecd\"/DISPLAYMANAGER_AUTOLOGIN=\"\"/g' /etc/sysconfig/displaymanager.bak > /etc/sysconfig/displaymanager
rm -rf /etc/sysconfig/displaymanager.bak

# Activant serveis
chkconfig rpcbind on
chkconfig nfs on
chkconfig smbfs on
chkconfig cupsd on
chkconfig postfix on
chkconfig crond on
chkconfig smartd on
chkconfig sshd on
chkconfig network on

# Esborrar Yast2-live-installer i usuari tux
rpm -e yast2-live-installer
userdel -r tuxlivecd

# Netejar el boot.local
sed '/network/d' /etc/init.d/boot.local > /etc/init.d/boot.local.bak
mv /etc/init.d/boot.local.bak /etc/init.d/boot.local

# Esborrar langset
rm /etc/langset.sh  
rm -rf /etc/langset/
rm /etc/init.d/boot.langset

# Esborrar directoris buits
rm -rf /selinux /clicboot /read-only /read-write /livecd

# Afegir els idiomes al Grub
/usr/sbin/gfxboot --add-languages ca_ES es_ES en_US --default-language ca_ES

# Prioritat als paquets del DVD
mv /etc/zypp/zypp.conf /etc/zypp/zypp.conf.bak
sed -e 's/## download.media_preference= download/download.media_preference= volatile/g' /etc/zypp/zypp.conf.bak > /etc/zypp/zypp.conf

EOF

cat >correct_live_for_reboot <<EOF
#! /bin/sh

# this script is called from the live installer once it finished copying the live
# image. So we only do the minimal changes necessary to reboot into the system

is_usb=0
if test "$1" = usb; then
  is_usb=1
fi

chkconfig sshd on
chkconfig cron on
# TODO make this conditional chkconfig boot.braille off
chkconfig boot.ldconfig on
chkconfig boot.langset off
chkconfig boot.compcache off
EOF

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp correct_live_install $RPM_BUILD_ROOT/usr/bin/
cp correct_live_for_reboot $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(544,root,root)
/usr/bin/correct_live_install
/usr/bin/correct_live_for_reboot

%changelog
* Mon Nov 15 2010 David Lara <dlara@espherica.com> - 1.2
- Initial release
